PUT
Set user subscriptions
Updates the notification subscriptions for the authenticated user. Accepts a list of subscription changes and applies them, replacing the user's current subscriptions with the provided set.
Header Params
-
request-idstring
Body Params
object
-
notificationSubscriptionsarray of objects requirednotificationSubscriptions object
-
notificationNamestring -
categoryNamestring -
channelstring required -
isSubscribedboolean required
-
Responses
200
User subscriptions updated
Response Body
array of strings
Updated subscription entities
400
Invalid subscription request body
Response Body
object
Bad request error response
-
namestring enum requiredError codeValidationFailedIllegalArgumentBadRequestDataIntegrityErrorNotImplementedErrorRETRIGGER_RATE_LIMITEDUSER_CREATION_FAILEDUSER_FALLBACK_FAILED -
errorstring requiredHuman-readable error message -
statusinteger enum int32 requiredHTTP status code400
500
Unexpected error
Response Body
object
Internal server error response
-
namestring enum requiredError codeUnexpectedErrorThirdPartyErrorDatabaseErrorUSER_FALLBACK_TIMEOUT -
errorstring requiredHuman-readable error message -
statusinteger enum int32 requiredHTTP status code500